Page MenuHomePhabricator

VisualEditor: Dialogs should disable "Apply changes" until a change is present
Closed, ResolvedPublic1 Story Points

Description

Seen in Reference and Transclusion, anywhere with an overlay containing a button saying 'Apply changes'.

  • Hover the cursor over an existing Reference or Transclusion.
  • Click the icon to invoke the Reference or Transclusion overlay
  • Without making any changes, click 'Apply changes'
  • Save page button goes from grey to active.
  • Click Save page
  • Click Review your changes.

Get message "Could not start the review because your revision matches the latest version of this page."


Version: unspecified
Severity: minor

Details

Reference
bz55976

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 2:22 AM
bzimport set Reference to bz55976.

This is not an OOUI bug, moving back to VE. Rather, it's a bug in the individual dialogs in VE that apparently commit no-op transactions when you click Apply changes without changing anything. Also, in most dialogs we disable the Apply changes button when there is nothing to change.

Since this bug was filed in 2013, I imagine it might be mostly fixed now? We have some bugs in this area (filed individually as "Apply changes is enabled even though XYZ") but my impression is that generally we're pretty good about this now.

No, I think this still applies to the places mentioned in the description (transclusions and references).

  • Bug 58231 has been marked as a duplicate of this bug. ***

Change 176861 had a related patch set uploaded (by Alex Monk):
Disable Apply Changes in reference dialog until changes have been made

https://gerrit.wikimedia.org/r/176861

Patch-For-Review

Change 176861 merged by jenkins-bot:
Disable Apply Changes in reference dialog until changes have been made

https://gerrit.wikimedia.org/r/176861

Change 177944 had a related patch set uploaded (by Alex Monk):
Don't re-enable apply changes in reference dialog if the changes have been undone

https://gerrit.wikimedia.org/r/177944

Patch-For-Review

Change 177944 merged by jenkins-bot:
Don't re-enable apply changes in reference dialog if the changes have been undone

https://gerrit.wikimedia.org/r/177944

Krenair set Security to None.

I kind of wish this had been broken into one bug for each dialog.

I kind of wish this had been broken into one bug for each dialog.

Done. :-)

So this is now a tracker?

So this is now a tracker?

No, it's a single task made up of sub-tasks.

Krenair claimed this task.Dec 24 2014, 2:19 AM

A single patch fixes the majority of the issues here, see the subtasks.

Krinkle removed a subscriber: Krinkle.Jan 30 2015, 8:37 PM